using System;
using System.Collections.Generic;
using System.Text;

namespace Lab_Extensibility.Progresses
{
    public static class AllProgresses
    {
        public delegate void ProgressDelegate(int processed, int total);
        public static void Simple(int processed, int total)
        {
            Console.WriteLine($"Processed {processed}/{total}");
        }

        public static void Percent(int processed, int total)
        {
            if (total == 0) return;
            Console.WriteLine($"{(processed * 100 / total)}%");
        }

        public static void Null(int processed, int total)
        {
            
        }
    }
}
